QKeyEvent(3qt)

NAME
QKeyEvent - Parameters that describe a key event

SYNOPSIS

#include <qevent.h>

Inherits QEvent.

  Public Members
QKeyEvent ( int type, int key, int ascii, int state )
int key () const
int ascii () const
int state () const
bool isAccepted () const
void accept ()
void ignore ()

DESCRIPTION
The QKeyEvent class contains parameters that describe a key event.

Key events occur when a key is pressed or released when a widget has keyboard input focus.

A key event contains a special accept flag which tells whether the receiver wants the key. You should call QKeyEvent::ignore() if the key press or release event is not handled by your widget.

The QWidget::setEnable() function can be used to enable or disable mouse and keyboard events for a widget.

The event handlers QWidget::keyPressEvent() and QWidget::keyReleaseEvent() receive key events.

See also: QFocusEvent and QWidget::grabKeyboard().

Examples: table/table.cpp picture/picture.cpp

MEMBER FUNCTION DOCUMENTATION

QKeyEvent::QKeyEvent ( int type, int key, int ascii, int state )
Constructs a key event object.

The type parameter must be Event_KeyPress or Event_KeyRelease.

If key is 0, the event is not a result of a known key (e.g. it may be the result of a compose sequence or keyboard macro).

The accept flag is set to TRUE.

void QKeyEvent::accept ()
Sets the accept flag of the key event object.

Setting the accept parameter indicates that the receiver of the event wants the key event. Unwanted key events are sent to the parent widget.

The accept flag is set by default.

See also: ignore().

int QKeyEvent::ascii () const
Returns the ASCII code of the key that was pressed or released.

Examples: picture/picture.cpp

void QKeyEvent::ignore ()
Clears the accept flag parameter of the key event object.

Clearing the accept parameter indicates that the event receiver does not want the key event. Unwanted key events are sent to the parent widget.

The accept flag is set by default.

See also: accept().

Examples: table/table.cpp

bool QKeyEvent::isAccepted () const
Returns TRUE if the receiver of the event wants to keep the key.

int QKeyEvent::key () const
Returns the code of the key that was pressed or released.

The header file qkeycode.h lists the possible keyboard codes. These codes are independent of the underlying window system.

Key code 0 means that the event is not a result of a known key (e.g. it may be the result of a compose sequence or keyboard macro).

Examples: table/table.cpp

int QKeyEvent::state () const
Returns the keyboard modifier flags.

The returned value is ShiftButton, ControlButton and AltButton OR'ed together.

SEE ALSO
http://www.troll.no/qt/qkeyevent.html

COPYRIGHT
Copyright 1992-1997 Troll Tech AS. See the LICENSE file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.